Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class JoinedSubclassFkSecondPass

    java.lang.Object
      org.hibernate.cfg.FkSecondPass
          org.hibernate.cfg.JoinedSubclassFkSecondPass

All Implemented Interfaces:
  Serializable, org.hibernate.cfg.SecondPass

    public class JoinedSubclassFkSecondPass

extends FkSecondPass

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.cfg.FkSecondPass
`columns, value`

Constructor Summary
`JoinedSubclassFkSecondPass(org.hibernate.mapping.JoinedSubclass entity, Ejb3JoinColumn[] inheritanceJoinedColumns, org.hibernate.mapping.SimpleValue key, ExtendedMappings mappings)`

Method Summary
`void` | `doSecondPass(Map persistentClasses)`
`String` | `getReferencedEntityName()`
`boolean` | `isInPrimaryKey()`

Methods inherited from class org.hibernate.cfg.FkSecondPass
`equals, getUniqueCounter, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JoinedSubclassFkSecondPass

    public JoinedSubclassFkSecondPass(org.hibernate.mapping.JoinedSubclass entity,
                                      Ejb3JoinColumn[] inheritanceJoinedColumns,
                                      org.hibernate.mapping.SimpleValue key,
                                      ExtendedMappings mappings)

Method Detail

### getReferencedEntityName

    public String getReferencedEntityName()

  Specified by:
    `getReferencedEntityName` in class `FkSecondPass`

### isInPrimaryKey

    public boolean isInPrimaryKey()

  Specified by:
    `isInPrimaryKey` in class `FkSecondPass`

### doSecondPass

    public void doSecondPass(Map persistentClasses)
                      throws org.hibernate.MappingException

  Throws:
    `org.hibernate.MappingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD